/* This is an autogenerated file from hip_dd_l_c_gen.pl */

#include "driver/signals.h"

/*
 * unifi_os.h must provide a definition of the offsetof() macro
 * unifi_os.h is included in unifi.h
 * If you have an ISO C compiler, you can just #include <stddef.h>
 */
#include "driver/unifi.h"

int SigGetSize(const CSR_SIGNAL* aSignal)
{
    switch(aSignal->SignalPrimitiveHeader.SignalId)
    {
    case CSR_MA_UNITDATA_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MA_UNITDATA_REQUEST);
    case CSR_MA_UNITDATA_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MA_UNITDATA_CONFIRM);
    case CSR_MA_UNITDATA_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MA_UNITDATA_INDICATION);
    case CSR_MA_SNIFFDATA_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MA_SNIFFDATA_INDICATION);
    case CSR_MA_UNITDATA_CANCEL_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MA_UNITDATA_CANCEL_REQUEST);
    case CSR_MLME_RESET_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESET_REQUEST);
    case CSR_MLME_RESET_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESET_CONFIRM);
    case CSR_MLME_GET_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_GET_REQUEST);
    case CSR_MLME_GET_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_GET_CONFIRM);
    case CSR_MLME_SET_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SET_REQUEST);
    case CSR_MLME_SET_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SET_CONFIRM);
    case CSR_MLME_GET_NEXT_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_GET_NEXT_REQUEST);
    case CSR_MLME_GET_NEXT_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_GET_NEXT_CONFIRM);
    case CSR_MLME_POWERMGT_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_POWERMGT_REQUEST);
    case CSR_MLME_POWERMGT_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_POWERMGT_CONFIRM);
    case CSR_MLME_SCAN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SCAN_REQUEST);
    case CSR_MLME_SCAN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SCAN_CONFIRM);
    case CSR_MLME_SCAN_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SCAN_INDICATION);
    case CSR_MLME_JOIN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_JOIN_REQUEST);
    case CSR_MLME_JOIN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_JOIN_CONFIRM);
    case CSR_MLME_AUTHENTICATE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTHENTICATE_REQUEST);
    case CSR_MLME_AUTHENTICATE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTHENTICATE_CONFIRM);
    case CSR_MLME_AUTHENTICATE_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTHENTICATE_RESPONSE);
    case CSR_MLME_AUTHENTICATE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTHENTICATE_INDICATION);
    case CSR_MLME_DEAUTHENTICATE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEAUTHENTICATE_REQUEST);
    case CSR_MLME_DEAUTHENTICATE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEAUTHENTICATE_CONFIRM);
    case CSR_MLME_DEAUTHENTICATE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEAUTHENTICATE_INDICATION);
    case CSR_MLME_ASSOCIATE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ASSOCIATE_REQUEST);
    case CSR_MLME_ASSOCIATE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ASSOCIATE_CONFIRM);
    case CSR_MLME_ASSOCIATE_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ASSOCIATE_RESPONSE);
    case CSR_MLME_ASSOCIATE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ASSOCIATE_INDICATION);
    case CSR_MLME_REASSOCIATE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_REASSOCIATE_REQUEST);
    case CSR_MLME_REASSOCIATE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_REASSOCIATE_CONFIRM);
    case CSR_MLME_REASSOCIATE_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_REASSOCIATE_RESPONSE);
    case CSR_MLME_REASSOCIATE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_REASSOCIATE_INDICATION);
    case CSR_MLME_DISASSOCIATE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DISASSOCIATE_REQUEST);
    case CSR_MLME_DISASSOCIATE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DISASSOCIATE_CONFIRM);
    case CSR_MLME_DISASSOCIATE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DISASSOCIATE_INDICATION);
    case CSR_MLME_START_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_START_REQUEST);
    case CSR_MLME_START_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_START_CONFIRM);
    case CSR_MLME_ADDTS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDTS_REQUEST);
    case CSR_MLME_ADDTS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDTS_CONFIRM);
    case CSR_MLME_ADDTS_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDTS_RESPONSE);
    case CSR_MLME_ADDTS_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDTS_INDICATION);
    case CSR_MLME_DELTS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELTS_REQUEST);
    case CSR_MLME_DELTS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELTS_CONFIRM);
    case CSR_MLME_DELTS_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELTS_INDICATION);
    case CSR_MLME_DLS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DLS_REQUEST);
    case CSR_MLME_DLS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DLS_CONFIRM);
    case CSR_MLME_DLS_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DLS_INDICATION);
    case CSR_MLME_DLSTEARDOWN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DLSTEARDOWN_REQUEST);
    case CSR_MLME_DLSTEARDOWN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DLSTEARDOWN_CONFIRM);
    case CSR_MLME_DLSTEARDOWN_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DLSTEARDOWN_INDICATION);
    case CSR_MLME_HL_SYNC_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_HL_SYNC_REQUEST);
    case CSR_MLME_HL_SYNC_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_HL_SYNC_CONFIRM);
    case CSR_MLME_HL_SYNC_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_HL_SYNC_INDICATION);
    case CSR_MLME_ADDBA_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDBA_REQUEST);
    case CSR_MLME_ADDBA_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDBA_CONFIRM);
    case CSR_MLME_ADDBA_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDBA_RESPONSE);
    case CSR_MLME_ADDBA_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADDBA_INDICATION);
    case CSR_MLME_DELBA_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELBA_REQUEST);
    case CSR_MLME_DELBA_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELBA_CONFIRM);
    case CSR_MLME_DELBA_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELBA_INDICATION);
    case CSR_MLME_SCHEDULE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SCHEDULE_REQUEST);
    case CSR_MLME_SCHEDULE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SCHEDULE_CONFIRM);
    case CSR_MLME_SCHEDULE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SCHEDULE_INDICATION);
    case CSR_MLME_MREQUEST_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MREQUEST_REQUEST);
    case CSR_MLME_MREQUEST_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MREQUEST_CONFIRM);
    case CSR_MLME_MREQUEST_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MREQUEST_INDICATION);
    case CSR_MLME_MEASURE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MEASURE_REQUEST);
    case CSR_MLME_MEASURE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MEASURE_CONFIRM);
    case CSR_MLME_MREPORT_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MREPORT_REQUEST);
    case CSR_MLME_MREPORT_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MREPORT_CONFIRM);
    case CSR_MLME_MREPORT_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MREPORT_INDICATION);
    case CSR_MLME_CHANNELSWITCH_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_CHANNELSWITCH_REQUEST);
    case CSR_MLME_CHANNELSWITCH_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_CHANNELSWITCH_CONFIRM);
    case CSR_MLME_CHANNELSWITCH_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_CHANNELSWITCH_RESPONSE);
    case CSR_MLME_CHANNELSWITCH_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_CHANNELSWITCH_INDICATION);
    case CSR_MLME_TPCADAPT_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_TPCADAPT_REQUEST);
    case CSR_MLME_TPCADAPT_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_TPCADAPT_CONFIRM);
    case CSR_MLME_SETKEYS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SETKEYS_REQUEST);
    case CSR_MLME_SETKEYS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SETKEYS_CONFIRM);
    case CSR_MLME_DELETEKEYS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELETEKEYS_REQUEST);
    case CSR_MLME_DELETEKEYS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DELETEKEYS_CONFIRM);
    case CSR_MLME_MICHAELMICFAILURE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_MICHAELMICFAILURE_INDICATION);
    case CSR_MLME_EAPOL_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_EAPOL_REQUEST);
    case CSR_MLME_EAPOL_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_EAPOL_CONFIRM);
    case CSR_MLME_STAKEYESTABLISHED_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_STAKEYESTABLISHED_INDICATION);
    case CSR_MLME_SETPROTECTION_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SETPROTECTION_REQUEST);
    case CSR_MLME_SETPROTECTION_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SETPROTECTION_CONFIRM);
    case CSR_MLME_PROTECTEDFRAMEDROPPED_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_PROTECTEDFRAMEDROPPED_INDICATION);
    case CSR_MLME_SNIFFJOIN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SNIFFJOIN_REQUEST);
    case CSR_MLME_SNIFFJOIN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SNIFFJOIN_CONFIRM);
    case CSR_MLME_CONNECTED_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_CONNECTED_INDICATION);
    case CSR_MLME_SCAN_CANCEL_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SCAN_CANCEL_REQUEST);
    case CSR_MLME_LINKMEASURE_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_LINKMEASURE_REQUEST);
    case CSR_MLME_LINKMEASURE_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_LINKMEASURE_CONFIRM);
    case CSR_MLME_HL_SYNC_CANCEL_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_HL_SYNC_CANCEL_REQUEST);
    case CSR_MLME_HL_SYNC_CANCEL_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_HL_SYNC_CANCEL_CONFIRM);
    case CSR_MLME_ADD_PERIODIC_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_PERIODIC_REQUEST);
    case CSR_MLME_ADD_PERIODIC_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_PERIODIC_CONFIRM);
    case CSR_MLME_DEL_PERIODIC_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_PERIODIC_REQUEST);
    case CSR_MLME_DEL_PERIODIC_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_PERIODIC_CONFIRM);
    case CSR_MLME_ADD_AUTONOMOUS_SCAN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_AUTONOMOUS_SCAN_REQUEST);
    case CSR_MLME_ADD_AUTONOMOUS_SCAN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_AUTONOMOUS_SCAN_CONFIRM);
    case CSR_MLME_DEL_AUTONOMOUS_SCAN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_AUTONOMOUS_SCAN_REQUEST);
    case CSR_MLME_DEL_AUTONOMOUS_SCAN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_AUTONOMOUS_SCAN_CONFIRM);
    case CSR_MLME_AUTONOMOUS_SCAN_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTONOMOUS_SCAN_INDICATION);
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTONOMOUS_SCAN_RESULTS_REQUEST);
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTONOMOUS_SCAN_RESULTS_CONFIRM);
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTONOMOUS_SCAN_RESULTS_INDICATION);
    case CSR_MLME_SET_UNITDATA_FILTER_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SET_UNITDATA_FILTER_REQUEST);
    case CSR_MLME_SET_UNITDATA_FILTER_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_SET_UNITDATA_FILTER_CONFIRM);
    case CSR_MLME_FT_JOIN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_FT_JOIN_REQUEST);
    case CSR_MLME_FT_JOIN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_FT_JOIN_CONFIRM);
    case CSR_MLME_RESOURCE_REQUEST_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESOURCE_REQUEST_REQUEST);
    case CSR_MLME_RESOURCE_REQUEST_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESOURCE_REQUEST_CONFIRM);
    case CSR_MLME_RESOURCE_REQUEST_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESOURCE_REQUEST_RESPONSE);
    case CSR_MLME_RESOURCE_REQUEST_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESOURCE_REQUEST_INDICATION);
    case CSR_MLME_RESOURCE_REQUEST_LOCAL_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESOURCE_REQUEST_LOCAL_REQUEST);
    case CSR_MLME_RESOURCE_REQUEST_LOCAL_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_RESOURCE_REQUEST_LOCAL_CONFIRM);
    case CSR_MLME_REMOTE_REQUEST_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_REMOTE_REQUEST_REQUEST);
    case CSR_MLME_REMOTE_REQUEST_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_REMOTE_REQUEST_CONFIRM);
    case CSR_MLME_REMOTE_REQUEST_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_REMOTE_REQUEST_INDICATION);
    case CSR_MLME_PAUSE_AUTONOMOUS_SCAN_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_PAUSE_AUTONOMOUS_SCAN_REQUEST);
    case CSR_MLME_PAUSE_AUTONOMOUS_SCAN_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_PAUSE_AUTONOMOUS_SCAN_CONFIRM);
    case CSR_MLME_NEIGHBORREPREQ_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_NEIGHBORREPREQ_REQUEST);
    case CSR_MLME_NEIGHBORREPREQ_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_NEIGHBORREPREQ_CONFIRM);
    case CSR_MLME_NEIGHBORREPREQ_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_NEIGHBORREPREQ_INDICATION);
    case CSR_MLME_NEIGHBORREPRESP_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_NEIGHBORREPRESP_REQUEST);
    case CSR_MLME_NEIGHBORREPRESP_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_NEIGHBORREPRESP_CONFIRM);
    case CSR_MLME_NEIGHBORREPRESP_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_NEIGHBORREPRESP_INDICATION);
    case CSR_MLME_AUTONOMOUS_SCAN_DONE_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_AUTONOMOUS_SCAN_DONE_INDICATION);
    case CSR_MLME_ADD_TRIGGERED_GET_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_TRIGGERED_GET_REQUEST);
    case CSR_MLME_ADD_TRIGGERED_GET_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_TRIGGERED_GET_CONFIRM);
    case CSR_MLME_DEL_TRIGGERED_GET_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_TRIGGERED_GET_REQUEST);
    case CSR_MLME_DEL_TRIGGERED_GET_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_TRIGGERED_GET_CONFIRM);
    case CSR_MLME_TRIGGERED_GET_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_TRIGGERED_GET_INDICATION);
    case CSR_MLME_PING_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_PING_REQUEST);
    case CSR_MLME_PING_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_PING_CONFIRM);
    case CSR_MLME_PING_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_PING_RESPONSE);
    case CSR_MLME_PING_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_PING_INDICATION);
    case CSR_MLME_VSPECIFIC_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_VSPECIFIC_REQUEST);
    case CSR_MLME_ADD_WDS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_WDS_REQUEST);
    case CSR_MLME_ADD_WDS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_ADD_WDS_CONFIRM);
    case CSR_MLME_DEL_WDS_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_WDS_REQUEST);
    case CSR_MLME_DEL_WDS_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_MLME_DEL_WDS_CONFIRM);
    case CSR_DS_UNITDATA_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DS_UNITDATA_REQUEST);
    case CSR_DS_UNITDATA_RESPONSE_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DS_UNITDATA_RESPONSE);
    case CSR_DS_UNITDATA_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DS_UNITDATA_INDICATION);
    case CSR_DS_UNITDATA_CANCEL_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DS_UNITDATA_CANCEL_INDICATION);
    case CSR_DS_STA_NOTIFY_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DS_STA_NOTIFY_REQUEST);
    case CSR_DEBUG_STRING_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DEBUG_STRING_INDICATION);
    case CSR_DEBUG_WORD16_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DEBUG_WORD16_INDICATION);
    case CSR_DEBUG_GENERIC_REQUEST_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DEBUG_GENERIC_REQUEST);
    case CSR_DEBUG_GENERIC_CONFIRM_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DEBUG_GENERIC_CONFIRM);
    case CSR_DEBUG_GENERIC_INDICATION_ID:
        return offsetof(struct CSR_SIGNAL_PRIMITIVE, u) + sizeof(CSR_DEBUG_GENERIC_INDICATION);
    default:
        return 0;
    }
}

int SigGetDataRefs(CSR_SIGNAL* aSignal, CSR_DATAREF** aDataRef)
{
    int numRefs = 0;

    switch(aSignal->SignalPrimitiveHeader.SignalId)
    {
    case CSR_MA_UNITDATA_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataRequest.Data;
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataRequest.Dummydataref2;
        break;
    case CSR_MA_UNITDATA_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataConfirm.Dummydataref2;
        break;
    case CSR_MA_UNITDATA_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataIndication.Data;
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataIndication.Dummydataref2;
        break;
    case CSR_MA_SNIFFDATA_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MaSniffdataIndication.Data;
        aDataRef[numRefs++] = &aSignal->u.MaSniffdataIndication.Dummydataref2;
        break;
    case CSR_MA_UNITDATA_CANCEL_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataCancelRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MaUnitdataCancelRequest.Dummydataref2;
        break;
    case CSR_MLME_RESET_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResetRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeResetRequest.Dummydataref2;
        break;
    case CSR_MLME_RESET_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResetConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeResetConfirm.Dummydataref2;
        break;
    case CSR_MLME_GET_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeGetRequest.MibAttribute;
        aDataRef[numRefs++] = &aSignal->u.MlmeGetRequest.Dummydataref2;
        break;
    case CSR_MLME_GET_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeGetConfirm.MibAttributeValue;
        aDataRef[numRefs++] = &aSignal->u.MlmeGetConfirm.Dummydataref2;
        break;
    case CSR_MLME_SET_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetRequest.MibAttributeValue;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetRequest.Dummydataref2;
        break;
    case CSR_MLME_SET_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetConfirm.MibAttributeValue;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetConfirm.Dummydataref2;
        break;
    case CSR_MLME_GET_NEXT_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeGetNextRequest.MibAttribute;
        aDataRef[numRefs++] = &aSignal->u.MlmeGetNextRequest.Dummydataref2;
        break;
    case CSR_MLME_GET_NEXT_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeGetNextConfirm.MibAttributeValue;
        aDataRef[numRefs++] = &aSignal->u.MlmeGetNextConfirm.Dummydataref2;
        break;
    case CSR_MLME_POWERMGT_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePowermgtRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmePowermgtRequest.Dummydataref2;
        break;
    case CSR_MLME_POWERMGT_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePowermgtConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmePowermgtConfirm.Dummydataref2;
        break;
    case CSR_MLME_SCAN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeScanRequest.ChannelList;
        aDataRef[numRefs++] = &aSignal->u.MlmeScanRequest.InformationElements;
        break;
    case CSR_MLME_SCAN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeScanConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeScanConfirm.Dummydataref2;
        break;
    case CSR_MLME_SCAN_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeScanIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeScanIndication.Dummydataref2;
        break;
    case CSR_MLME_JOIN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeJoinRequest.ScanInformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeJoinRequest.StaInformationElements;
        break;
    case CSR_MLME_JOIN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeJoinConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeJoinConfirm.Dummydataref2;
        break;
    case CSR_MLME_AUTHENTICATE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateRequest.Dummydataref2;
        break;
    case CSR_MLME_AUTHENTICATE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateConfirm.Dummydataref2;
        break;
    case CSR_MLME_AUTHENTICATE_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateResponse.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateResponse.Dummydataref2;
        break;
    case CSR_MLME_AUTHENTICATE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAuthenticateIndication.Dummydataref2;
        break;
    case CSR_MLME_DEAUTHENTICATE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeauthenticateRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeauthenticateRequest.Dummydataref2;
        break;
    case CSR_MLME_DEAUTHENTICATE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeauthenticateConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeauthenticateConfirm.Dummydataref2;
        break;
    case CSR_MLME_DEAUTHENTICATE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeauthenticateIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeauthenticateIndication.Dummydataref2;
        break;
    case CSR_MLME_ASSOCIATE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateRequest.Dummydataref2;
        break;
    case CSR_MLME_ASSOCIATE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateConfirm.Dummydataref2;
        break;
    case CSR_MLME_ASSOCIATE_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateResponse.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateResponse.Dummydataref2;
        break;
    case CSR_MLME_ASSOCIATE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAssociateIndication.Dummydataref2;
        break;
    case CSR_MLME_REASSOCIATE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateRequest.Dummydataref2;
        break;
    case CSR_MLME_REASSOCIATE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateConfirm.Dummydataref2;
        break;
    case CSR_MLME_REASSOCIATE_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateResponse.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateResponse.Dummydataref2;
        break;
    case CSR_MLME_REASSOCIATE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeReassociateIndication.Dummydataref2;
        break;
    case CSR_MLME_DISASSOCIATE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDisassociateRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeDisassociateRequest.Dummydataref2;
        break;
    case CSR_MLME_DISASSOCIATE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDisassociateConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDisassociateConfirm.Dummydataref2;
        break;
    case CSR_MLME_DISASSOCIATE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDisassociateIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeDisassociateIndication.Dummydataref2;
        break;
    case CSR_MLME_START_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeStartRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeStartRequest.Dummydataref2;
        break;
    case CSR_MLME_START_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeStartConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeStartConfirm.Dummydataref2;
        break;
    case CSR_MLME_ADDTS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsRequest.Dummydataref2;
        break;
    case CSR_MLME_ADDTS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsConfirm.Dummydataref2;
        break;
    case CSR_MLME_ADDTS_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsResponse.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsResponse.Dummydataref2;
        break;
    case CSR_MLME_ADDTS_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddtsIndication.Dummydataref2;
        break;
    case CSR_MLME_DELTS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeltsRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeltsRequest.Dummydataref2;
        break;
    case CSR_MLME_DELTS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeltsConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeltsConfirm.Dummydataref2;
        break;
    case CSR_MLME_DELTS_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeltsIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeltsIndication.Dummydataref2;
        break;
    case CSR_MLME_DLS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsRequest.Dummydataref2;
        break;
    case CSR_MLME_DLS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsConfirm.SupportedRates;
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsConfirm.Dummydataref2;
        break;
    case CSR_MLME_DLS_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsIndication.SupportedRates;
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsIndication.Dummydataref2;
        break;
    case CSR_MLME_DLSTEARDOWN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsteardownRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsteardownRequest.Dummydataref2;
        break;
    case CSR_MLME_DLSTEARDOWN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsteardownConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsteardownConfirm.Dummydataref2;
        break;
    case CSR_MLME_DLSTEARDOWN_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsteardownIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDlsteardownIndication.Dummydataref2;
        break;
    case CSR_MLME_HL_SYNC_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncRequest.Dummydataref2;
        break;
    case CSR_MLME_HL_SYNC_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncConfirm.Dummydataref2;
        break;
    case CSR_MLME_HL_SYNC_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncIndication.Dummydataref2;
        break;
    case CSR_MLME_ADDBA_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaRequest.Dummydataref2;
        break;
    case CSR_MLME_ADDBA_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaConfirm.Dummydataref2;
        break;
    case CSR_MLME_ADDBA_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaResponse.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaResponse.Dummydataref2;
        break;
    case CSR_MLME_ADDBA_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddbaIndication.Dummydataref2;
        break;
    case CSR_MLME_DELBA_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelbaRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelbaRequest.Dummydataref2;
        break;
    case CSR_MLME_DELBA_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelbaConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelbaConfirm.Dummydataref2;
        break;
    case CSR_MLME_DELBA_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelbaIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelbaIndication.Dummydataref2;
        break;
    case CSR_MLME_SCHEDULE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeScheduleRequest.ScheduleElement;
        aDataRef[numRefs++] = &aSignal->u.MlmeScheduleRequest.Dummydataref2;
        break;
    case CSR_MLME_SCHEDULE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeScheduleConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeScheduleConfirm.Dummydataref2;
        break;
    case CSR_MLME_SCHEDULE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeScheduleIndication.ScheduleElement;
        aDataRef[numRefs++] = &aSignal->u.MlmeScheduleIndication.Dummydataref2;
        break;
    case CSR_MLME_MREQUEST_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMrequestRequest.MeasurementRequestSet;
        aDataRef[numRefs++] = &aSignal->u.MlmeMrequestRequest.InformationElements;
        break;
    case CSR_MLME_MREQUEST_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMrequestConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeMrequestConfirm.Dummydataref2;
        break;
    case CSR_MLME_MREQUEST_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMrequestIndication.MeasurementRequestSet;
        aDataRef[numRefs++] = &aSignal->u.MlmeMrequestIndication.InformationElements;
        break;
    case CSR_MLME_MEASURE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMeasureRequest.MeasurementRequestSet;
        aDataRef[numRefs++] = &aSignal->u.MlmeMeasureRequest.Dummydataref2;
        break;
    case CSR_MLME_MEASURE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMeasureConfirm.MeasurementReportSet;
        aDataRef[numRefs++] = &aSignal->u.MlmeMeasureConfirm.Dummydataref2;
        break;
    case CSR_MLME_MREPORT_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMreportRequest.MeasurementReportSet;
        aDataRef[numRefs++] = &aSignal->u.MlmeMreportRequest.InformationElements;
        break;
    case CSR_MLME_MREPORT_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMreportConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeMreportConfirm.Dummydataref2;
        break;
    case CSR_MLME_MREPORT_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMreportIndication.MeasurementReportSet;
        aDataRef[numRefs++] = &aSignal->u.MlmeMreportIndication.InformationElements;
        break;
    case CSR_MLME_CHANNELSWITCH_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchRequest.Dummydataref2;
        break;
    case CSR_MLME_CHANNELSWITCH_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchConfirm.Dummydataref2;
        break;
    case CSR_MLME_CHANNELSWITCH_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchResponse.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchResponse.Dummydataref2;
        break;
    case CSR_MLME_CHANNELSWITCH_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeChannelswitchIndication.Dummydataref2;
        break;
    case CSR_MLME_TPCADAPT_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeTpcadaptRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeTpcadaptRequest.Dummydataref2;
        break;
    case CSR_MLME_TPCADAPT_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeTpcadaptConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeTpcadaptConfirm.Dummydataref2;
        break;
    case CSR_MLME_SETKEYS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetkeysRequest.Key;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetkeysRequest.Dummydataref2;
        break;
    case CSR_MLME_SETKEYS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetkeysConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetkeysConfirm.Dummydataref2;
        break;
    case CSR_MLME_DELETEKEYS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeletekeysRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeletekeysRequest.Dummydataref2;
        break;
    case CSR_MLME_DELETEKEYS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDeletekeysConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDeletekeysConfirm.Dummydataref2;
        break;
    case CSR_MLME_MICHAELMICFAILURE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeMichaelmicfailureIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeMichaelmicfailureIndication.Dummydataref2;
        break;
    case CSR_MLME_EAPOL_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeEapolRequest.Data;
        aDataRef[numRefs++] = &aSignal->u.MlmeEapolRequest.Dummydataref2;
        break;
    case CSR_MLME_EAPOL_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeEapolConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeEapolConfirm.Dummydataref2;
        break;
    case CSR_MLME_STAKEYESTABLISHED_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeStakeyestablishedIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeStakeyestablishedIndication.Dummydataref2;
        break;
    case CSR_MLME_SETPROTECTION_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetprotectionRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetprotectionRequest.Dummydataref2;
        break;
    case CSR_MLME_SETPROTECTION_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetprotectionConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetprotectionConfirm.Dummydataref2;
        break;
    case CSR_MLME_PROTECTEDFRAMEDROPPED_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeProtectedframedroppedIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeProtectedframedroppedIndication.Dummydataref2;
        break;
    case CSR_MLME_SNIFFJOIN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSniffjoinRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeSniffjoinRequest.Dummydataref2;
        break;
    case CSR_MLME_SNIFFJOIN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSniffjoinConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeSniffjoinConfirm.Dummydataref2;
        break;
    case CSR_MLME_CONNECTED_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeConnectedIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeConnectedIndication.Dummydataref2;
        break;
    case CSR_MLME_SCAN_CANCEL_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeScanCancelRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeScanCancelRequest.Dummydataref2;
        break;
    case CSR_MLME_LINKMEASURE_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeLinkmeasureRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeLinkmeasureRequest.Dummydataref2;
        break;
    case CSR_MLME_LINKMEASURE_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeLinkmeasureConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeLinkmeasureConfirm.Dummydataref2;
        break;
    case CSR_MLME_HL_SYNC_CANCEL_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncCancelRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncCancelRequest.Dummydataref2;
        break;
    case CSR_MLME_HL_SYNC_CANCEL_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncCancelConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeHlSyncCancelConfirm.Dummydataref2;
        break;
    case CSR_MLME_ADD_PERIODIC_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddPeriodicRequest.DownlinkInformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddPeriodicRequest.UplinkInformationElements;
        break;
    case CSR_MLME_ADD_PERIODIC_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddPeriodicConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddPeriodicConfirm.Dummydataref2;
        break;
    case CSR_MLME_DEL_PERIODIC_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelPeriodicRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelPeriodicRequest.Dummydataref2;
        break;
    case CSR_MLME_DEL_PERIODIC_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelPeriodicConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelPeriodicConfirm.Dummydataref2;
        break;
    case CSR_MLME_ADD_AUTONOMOUS_SCAN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddAutonomousScanRequest.ChannelList;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddAutonomousScanRequest.InformationElements;
        break;
    case CSR_MLME_ADD_AUTONOMOUS_SCAN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddAutonomousScanConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddAutonomousScanConfirm.Dummydataref2;
        break;
    case CSR_MLME_DEL_AUTONOMOUS_SCAN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelAutonomousScanRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelAutonomousScanRequest.Dummydataref2;
        break;
    case CSR_MLME_DEL_AUTONOMOUS_SCAN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelAutonomousScanConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelAutonomousScanConfirm.Dummydataref2;
        break;
    case CSR_MLME_AUTONOMOUS_SCAN_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanIndication.Dummydataref2;
        break;
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanResultsRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanResultsRequest.Dummydataref2;
        break;
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanResultsConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanResultsConfirm.Dummydataref2;
        break;
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanResultsIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanResultsIndication.Dummydataref2;
        break;
    case CSR_MLME_SET_UNITDATA_FILTER_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetUnitdataFilterRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetUnitdataFilterRequest.Dummydataref2;
        break;
    case CSR_MLME_SET_UNITDATA_FILTER_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeSetUnitdataFilterConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeSetUnitdataFilterConfirm.Dummydataref2;
        break;
    case CSR_MLME_FT_JOIN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeFtJoinRequest.ScanInformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeFtJoinRequest.StaInformationElements;
        break;
    case CSR_MLME_FT_JOIN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeFtJoinConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeFtJoinConfirm.Dummydataref2;
        break;
    case CSR_MLME_RESOURCE_REQUEST_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestRequest.Dummydataref2;
        break;
    case CSR_MLME_RESOURCE_REQUEST_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestConfirm.Dummydataref2;
        break;
    case CSR_MLME_RESOURCE_REQUEST_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestResponse.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestResponse.Dummydataref2;
        break;
    case CSR_MLME_RESOURCE_REQUEST_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestIndication.Dummydataref2;
        break;
    case CSR_MLME_RESOURCE_REQUEST_LOCAL_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestLocalRequest.ResourceDescriptors;
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestLocalRequest.Dummydataref2;
        break;
    case CSR_MLME_RESOURCE_REQUEST_LOCAL_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestLocalConfirm.ResourceDescriptors;
        aDataRef[numRefs++] = &aSignal->u.MlmeResourceRequestLocalConfirm.Dummydataref2;
        break;
    case CSR_MLME_REMOTE_REQUEST_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeRemoteRequestRequest.ContentOfFtActionFrame;
        aDataRef[numRefs++] = &aSignal->u.MlmeRemoteRequestRequest.Dummydataref2;
        break;
    case CSR_MLME_REMOTE_REQUEST_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeRemoteRequestConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeRemoteRequestConfirm.Dummydataref2;
        break;
    case CSR_MLME_REMOTE_REQUEST_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeRemoteRequestIndication.ContentOfFtActionFrame;
        aDataRef[numRefs++] = &aSignal->u.MlmeRemoteRequestIndication.Dummydataref2;
        break;
    case CSR_MLME_PAUSE_AUTONOMOUS_SCAN_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePauseAutonomousScanRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmePauseAutonomousScanRequest.Dummydataref2;
        break;
    case CSR_MLME_PAUSE_AUTONOMOUS_SCAN_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePauseAutonomousScanConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmePauseAutonomousScanConfirm.Dummydataref2;
        break;
    case CSR_MLME_NEIGHBORREPREQ_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborrepreqRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborrepreqRequest.Dummydataref2;
        break;
    case CSR_MLME_NEIGHBORREPREQ_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborrepreqConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborrepreqConfirm.Dummydataref2;
        break;
    case CSR_MLME_NEIGHBORREPREQ_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborrepreqIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborrepreqIndication.Dummydataref2;
        break;
    case CSR_MLME_NEIGHBORREPRESP_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborreprespRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborreprespRequest.Dummydataref2;
        break;
    case CSR_MLME_NEIGHBORREPRESP_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborreprespConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborreprespConfirm.Dummydataref2;
        break;
    case CSR_MLME_NEIGHBORREPRESP_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborreprespIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeNeighborreprespIndication.Dummydataref2;
        break;
    case CSR_MLME_AUTONOMOUS_SCAN_DONE_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanDoneIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAutonomousScanDoneIndication.Dummydataref2;
        break;
    case CSR_MLME_ADD_TRIGGERED_GET_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddTriggeredGetRequest.MibAttribute;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddTriggeredGetRequest.Dummydataref2;
        break;
    case CSR_MLME_ADD_TRIGGERED_GET_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddTriggeredGetConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddTriggeredGetConfirm.Dummydataref2;
        break;
    case CSR_MLME_DEL_TRIGGERED_GET_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelTriggeredGetRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelTriggeredGetRequest.Dummydataref2;
        break;
    case CSR_MLME_DEL_TRIGGERED_GET_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelTriggeredGetConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelTriggeredGetConfirm.Dummydataref2;
        break;
    case CSR_MLME_TRIGGERED_GET_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeTriggeredGetIndication.MibAttributeValue;
        aDataRef[numRefs++] = &aSignal->u.MlmeTriggeredGetIndication.Dummydataref2;
        break;
    case CSR_MLME_PING_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePingRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmePingRequest.Dummydataref2;
        break;
    case CSR_MLME_PING_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePingConfirm.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmePingConfirm.Dummydataref2;
        break;
    case CSR_MLME_PING_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePingResponse.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmePingResponse.Dummydataref2;
        break;
    case CSR_MLME_PING_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmePingIndication.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmePingIndication.Dummydataref2;
        break;
    case CSR_MLME_VSPECIFIC_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeVspecificRequest.InformationElements;
        aDataRef[numRefs++] = &aSignal->u.MlmeVspecificRequest.Dummydataref2;
        break;
    case CSR_MLME_ADD_WDS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddWdsRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddWdsRequest.Dummydataref2;
        break;
    case CSR_MLME_ADD_WDS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeAddWdsConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeAddWdsConfirm.Dummydataref2;
        break;
    case CSR_MLME_DEL_WDS_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelWdsRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelWdsRequest.Dummydataref2;
        break;
    case CSR_MLME_DEL_WDS_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.MlmeDelWdsConfirm.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.MlmeDelWdsConfirm.Dummydataref2;
        break;
    case CSR_DS_UNITDATA_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataRequest.Data;
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataRequest.Dummydataref2;
        break;
    case CSR_DS_UNITDATA_RESPONSE_ID:
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataResponse.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataResponse.Dummydataref2;
        break;
    case CSR_DS_UNITDATA_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataIndication.Data;
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataIndication.Dummydataref2;
        break;
    case CSR_DS_UNITDATA_CANCEL_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataCancelIndication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.DsUnitdataCancelIndication.Dummydataref2;
        break;
    case CSR_DS_STA_NOTIFY_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.DsStaNotifyRequest.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.DsStaNotifyRequest.Dummydataref2;
        break;
    case CSR_DEBUG_STRING_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.DebugStringIndication.DebugMessage;
        aDataRef[numRefs++] = &aSignal->u.DebugStringIndication.Dummydataref2;
        break;
    case CSR_DEBUG_WORD16_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.DebugWord16Indication.Dummydataref1;
        aDataRef[numRefs++] = &aSignal->u.DebugWord16Indication.Dummydataref2;
        break;
    case CSR_DEBUG_GENERIC_REQUEST_ID:
        aDataRef[numRefs++] = &aSignal->u.DebugGenericRequest.DebugVariable;
        aDataRef[numRefs++] = &aSignal->u.DebugGenericRequest.Dummydataref2;
        break;
    case CSR_DEBUG_GENERIC_CONFIRM_ID:
        aDataRef[numRefs++] = &aSignal->u.DebugGenericConfirm.DebugVariable;
        aDataRef[numRefs++] = &aSignal->u.DebugGenericConfirm.Dummydataref2;
        break;
    case CSR_DEBUG_GENERIC_INDICATION_ID:
        aDataRef[numRefs++] = &aSignal->u.DebugGenericIndication.DebugVariable;
        aDataRef[numRefs++] = &aSignal->u.DebugGenericIndication.Dummydataref2;
        break;
    default:
        return 0;
    }
    return numRefs;
}

uint32 SigGetFilterPos(uint16 aSigID)
{
    switch(aSigID)
    {
    case CSR_MA_UNITDATA_REQUEST_ID:
        return 0x00000001;
    case CSR_MA_UNITDATA_CONFIRM_ID:
        return 0x00000002;
    case CSR_MA_UNITDATA_INDICATION_ID:
        return 0x00000004;
    case CSR_MA_SNIFFDATA_INDICATION_ID:
        return 0x00000008;
    case CSR_MA_UNITDATA_CANCEL_REQUEST_ID:
        return 0x00000010;
    case CSR_MLME_RESET_REQUEST_ID:
        return 0x00000020;
    case CSR_MLME_RESET_CONFIRM_ID:
        return 0x00000040;
    case CSR_MLME_GET_REQUEST_ID:
        return 0x00000080;
    case CSR_MLME_GET_CONFIRM_ID:
        return 0x00000100;
    case CSR_MLME_SET_REQUEST_ID:
        return 0x00000200;
    case CSR_MLME_SET_CONFIRM_ID:
        return 0x00000400;
    case CSR_MLME_GET_NEXT_REQUEST_ID:
        return 0x00000800;
    case CSR_MLME_GET_NEXT_CONFIRM_ID:
        return 0x00001000;
    case CSR_MLME_POWERMGT_REQUEST_ID:
        return 0x00002000;
    case CSR_MLME_POWERMGT_CONFIRM_ID:
        return 0x00004000;
    case CSR_MLME_SCAN_REQUEST_ID:
        return 0x00008000;
    case CSR_MLME_SCAN_CONFIRM_ID:
        return 0x00010001;
    case CSR_MLME_SCAN_INDICATION_ID:
        return 0x00010002;
    case CSR_MLME_JOIN_REQUEST_ID:
        return 0x00010004;
    case CSR_MLME_JOIN_CONFIRM_ID:
        return 0x00010008;
    case CSR_MLME_AUTHENTICATE_REQUEST_ID:
        return 0x00010010;
    case CSR_MLME_AUTHENTICATE_CONFIRM_ID:
        return 0x00010020;
    case CSR_MLME_AUTHENTICATE_RESPONSE_ID:
        return 0x00010040;
    case CSR_MLME_AUTHENTICATE_INDICATION_ID:
        return 0x00010080;
    case CSR_MLME_DEAUTHENTICATE_REQUEST_ID:
        return 0x00010100;
    case CSR_MLME_DEAUTHENTICATE_CONFIRM_ID:
        return 0x00010200;
    case CSR_MLME_DEAUTHENTICATE_INDICATION_ID:
        return 0x00010400;
    case CSR_MLME_ASSOCIATE_REQUEST_ID:
        return 0x00010800;
    case CSR_MLME_ASSOCIATE_CONFIRM_ID:
        return 0x00011000;
    case CSR_MLME_ASSOCIATE_RESPONSE_ID:
        return 0x00012000;
    case CSR_MLME_ASSOCIATE_INDICATION_ID:
        return 0x00014000;
    case CSR_MLME_REASSOCIATE_REQUEST_ID:
        return 0x00018000;
    case CSR_MLME_REASSOCIATE_CONFIRM_ID:
        return 0x00020001;
    case CSR_MLME_REASSOCIATE_RESPONSE_ID:
        return 0x00020002;
    case CSR_MLME_REASSOCIATE_INDICATION_ID:
        return 0x00020004;
    case CSR_MLME_DISASSOCIATE_REQUEST_ID:
        return 0x00020008;
    case CSR_MLME_DISASSOCIATE_CONFIRM_ID:
        return 0x00020010;
    case CSR_MLME_DISASSOCIATE_INDICATION_ID:
        return 0x00020020;
    case CSR_MLME_START_REQUEST_ID:
        return 0x00020040;
    case CSR_MLME_START_CONFIRM_ID:
        return 0x00020080;
    case CSR_MLME_ADDTS_REQUEST_ID:
        return 0x00020100;
    case CSR_MLME_ADDTS_CONFIRM_ID:
        return 0x00020200;
    case CSR_MLME_ADDTS_RESPONSE_ID:
        return 0x00020400;
    case CSR_MLME_ADDTS_INDICATION_ID:
        return 0x00020800;
    case CSR_MLME_DELTS_REQUEST_ID:
        return 0x00021000;
    case CSR_MLME_DELTS_CONFIRM_ID:
        return 0x00022000;
    case CSR_MLME_DELTS_INDICATION_ID:
        return 0x00024000;
    case CSR_MLME_DLS_REQUEST_ID:
        return 0x00028000;
    case CSR_MLME_DLS_CONFIRM_ID:
        return 0x00030001;
    case CSR_MLME_DLS_INDICATION_ID:
        return 0x00030002;
    case CSR_MLME_DLSTEARDOWN_REQUEST_ID:
        return 0x00030004;
    case CSR_MLME_DLSTEARDOWN_CONFIRM_ID:
        return 0x00030008;
    case CSR_MLME_DLSTEARDOWN_INDICATION_ID:
        return 0x00030010;
    case CSR_MLME_HL_SYNC_REQUEST_ID:
        return 0x00030020;
    case CSR_MLME_HL_SYNC_CONFIRM_ID:
        return 0x00030040;
    case CSR_MLME_HL_SYNC_INDICATION_ID:
        return 0x00030080;
    case CSR_MLME_ADDBA_REQUEST_ID:
        return 0x00030100;
    case CSR_MLME_ADDBA_CONFIRM_ID:
        return 0x00030200;
    case CSR_MLME_ADDBA_RESPONSE_ID:
        return 0x00030400;
    case CSR_MLME_ADDBA_INDICATION_ID:
        return 0x00030800;
    case CSR_MLME_DELBA_REQUEST_ID:
        return 0x00031000;
    case CSR_MLME_DELBA_CONFIRM_ID:
        return 0x00032000;
    case CSR_MLME_DELBA_INDICATION_ID:
        return 0x00034000;
    case CSR_MLME_SCHEDULE_REQUEST_ID:
        return 0x00038000;
    case CSR_MLME_SCHEDULE_CONFIRM_ID:
        return 0x00040001;
    case CSR_MLME_SCHEDULE_INDICATION_ID:
        return 0x00040002;
    case CSR_MLME_MREQUEST_REQUEST_ID:
        return 0x00040004;
    case CSR_MLME_MREQUEST_CONFIRM_ID:
        return 0x00040008;
    case CSR_MLME_MREQUEST_INDICATION_ID:
        return 0x00040010;
    case CSR_MLME_MEASURE_REQUEST_ID:
        return 0x00040020;
    case CSR_MLME_MEASURE_CONFIRM_ID:
        return 0x00040040;
    case CSR_MLME_MREPORT_REQUEST_ID:
        return 0x00040080;
    case CSR_MLME_MREPORT_CONFIRM_ID:
        return 0x00040100;
    case CSR_MLME_MREPORT_INDICATION_ID:
        return 0x00040200;
    case CSR_MLME_CHANNELSWITCH_REQUEST_ID:
        return 0x00040400;
    case CSR_MLME_CHANNELSWITCH_CONFIRM_ID:
        return 0x00040800;
    case CSR_MLME_CHANNELSWITCH_RESPONSE_ID:
        return 0x00041000;
    case CSR_MLME_CHANNELSWITCH_INDICATION_ID:
        return 0x00042000;
    case CSR_MLME_TPCADAPT_REQUEST_ID:
        return 0x00044000;
    case CSR_MLME_TPCADAPT_CONFIRM_ID:
        return 0x00048000;
    case CSR_MLME_SETKEYS_REQUEST_ID:
        return 0x00050001;
    case CSR_MLME_SETKEYS_CONFIRM_ID:
        return 0x00050002;
    case CSR_MLME_DELETEKEYS_REQUEST_ID:
        return 0x00050004;
    case CSR_MLME_DELETEKEYS_CONFIRM_ID:
        return 0x00050008;
    case CSR_MLME_MICHAELMICFAILURE_INDICATION_ID:
        return 0x00050010;
    case CSR_MLME_EAPOL_REQUEST_ID:
        return 0x00050020;
    case CSR_MLME_EAPOL_CONFIRM_ID:
        return 0x00050040;
    case CSR_MLME_STAKEYESTABLISHED_INDICATION_ID:
        return 0x00050080;
    case CSR_MLME_SETPROTECTION_REQUEST_ID:
        return 0x00050100;
    case CSR_MLME_SETPROTECTION_CONFIRM_ID:
        return 0x00050200;
    case CSR_MLME_PROTECTEDFRAMEDROPPED_INDICATION_ID:
        return 0x00050400;
    case CSR_MLME_SNIFFJOIN_REQUEST_ID:
        return 0x00050800;
    case CSR_MLME_SNIFFJOIN_CONFIRM_ID:
        return 0x00051000;
    case CSR_MLME_CONNECTED_INDICATION_ID:
        return 0x00052000;
    case CSR_MLME_SCAN_CANCEL_REQUEST_ID:
        return 0x00054000;
    case CSR_MLME_LINKMEASURE_REQUEST_ID:
        return 0x00058000;
    case CSR_MLME_LINKMEASURE_CONFIRM_ID:
        return 0x00060001;
    case CSR_MLME_HL_SYNC_CANCEL_REQUEST_ID:
        return 0x00060002;
    case CSR_MLME_HL_SYNC_CANCEL_CONFIRM_ID:
        return 0x00060004;
    case CSR_MLME_ADD_PERIODIC_REQUEST_ID:
        return 0x00060008;
    case CSR_MLME_ADD_PERIODIC_CONFIRM_ID:
        return 0x00060010;
    case CSR_MLME_DEL_PERIODIC_REQUEST_ID:
        return 0x00060020;
    case CSR_MLME_DEL_PERIODIC_CONFIRM_ID:
        return 0x00060040;
    case CSR_MLME_ADD_AUTONOMOUS_SCAN_REQUEST_ID:
        return 0x00060080;
    case CSR_MLME_ADD_AUTONOMOUS_SCAN_CONFIRM_ID:
        return 0x00060100;
    case CSR_MLME_DEL_AUTONOMOUS_SCAN_REQUEST_ID:
        return 0x00060200;
    case CSR_MLME_DEL_AUTONOMOUS_SCAN_CONFIRM_ID:
        return 0x00060400;
    case CSR_MLME_AUTONOMOUS_SCAN_INDICATION_ID:
        return 0x00060800;
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_REQUEST_ID:
        return 0x00061000;
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_CONFIRM_ID:
        return 0x00062000;
    case CSR_MLME_AUTONOMOUS_SCAN_RESULTS_INDICATION_ID:
        return 0x00064000;
    case CSR_MLME_SET_UNITDATA_FILTER_REQUEST_ID:
        return 0x00068000;
    case CSR_MLME_SET_UNITDATA_FILTER_CONFIRM_ID:
        return 0x00070001;
    case CSR_MLME_FT_JOIN_REQUEST_ID:
        return 0x00070002;
    case CSR_MLME_FT_JOIN_CONFIRM_ID:
        return 0x00070004;
    case CSR_MLME_RESOURCE_REQUEST_REQUEST_ID:
        return 0x00070008;
    case CSR_MLME_RESOURCE_REQUEST_CONFIRM_ID:
        return 0x00070010;
    case CSR_MLME_RESOURCE_REQUEST_RESPONSE_ID:
        return 0x00070020;
    case CSR_MLME_RESOURCE_REQUEST_INDICATION_ID:
        return 0x00070040;
    case CSR_MLME_RESOURCE_REQUEST_LOCAL_REQUEST_ID:
        return 0x00070080;
    case CSR_MLME_RESOURCE_REQUEST_LOCAL_CONFIRM_ID:
        return 0x00070100;
    case CSR_MLME_REMOTE_REQUEST_REQUEST_ID:
        return 0x00070200;
    case CSR_MLME_REMOTE_REQUEST_CONFIRM_ID:
        return 0x00070400;
    case CSR_MLME_REMOTE_REQUEST_INDICATION_ID:
        return 0x00070800;
    case CSR_MLME_PAUSE_AUTONOMOUS_SCAN_REQUEST_ID:
        return 0x00071000;
    case CSR_MLME_PAUSE_AUTONOMOUS_SCAN_CONFIRM_ID:
        return 0x00072000;
    case CSR_MLME_NEIGHBORREPREQ_REQUEST_ID:
        return 0x00074000;
    case CSR_MLME_NEIGHBORREPREQ_CONFIRM_ID:
        return 0x00078000;
    case CSR_MLME_NEIGHBORREPREQ_INDICATION_ID:
        return 0x00080001;
    case CSR_MLME_NEIGHBORREPRESP_REQUEST_ID:
        return 0x00080002;
    case CSR_MLME_NEIGHBORREPRESP_CONFIRM_ID:
        return 0x00080004;
    case CSR_MLME_NEIGHBORREPRESP_INDICATION_ID:
        return 0x00080008;
    case CSR_MLME_AUTONOMOUS_SCAN_DONE_INDICATION_ID:
        return 0x00080010;
    case CSR_MLME_ADD_TRIGGERED_GET_REQUEST_ID:
        return 0x00080020;
    case CSR_MLME_ADD_TRIGGERED_GET_CONFIRM_ID:
        return 0x00080040;
    case CSR_MLME_DEL_TRIGGERED_GET_REQUEST_ID:
        return 0x00080080;
    case CSR_MLME_DEL_TRIGGERED_GET_CONFIRM_ID:
        return 0x00080100;
    case CSR_MLME_TRIGGERED_GET_INDICATION_ID:
        return 0x00080200;
    case CSR_MLME_PING_REQUEST_ID:
        return 0x00080400;
    case CSR_MLME_PING_CONFIRM_ID:
        return 0x00080800;
    case CSR_MLME_PING_RESPONSE_ID:
        return 0x00081000;
    case CSR_MLME_PING_INDICATION_ID:
        return 0x00082000;
    case CSR_MLME_VSPECIFIC_REQUEST_ID:
        return 0x00084000;
    case CSR_MLME_ADD_WDS_REQUEST_ID:
        return 0x00088000;
    case CSR_MLME_ADD_WDS_CONFIRM_ID:
        return 0x00090001;
    case CSR_MLME_DEL_WDS_REQUEST_ID:
        return 0x00090002;
    case CSR_MLME_DEL_WDS_CONFIRM_ID:
        return 0x00090004;
    case CSR_DS_UNITDATA_REQUEST_ID:
        return 0x00090008;
    case CSR_DS_UNITDATA_RESPONSE_ID:
        return 0x00090010;
    case CSR_DS_UNITDATA_INDICATION_ID:
        return 0x00090020;
    case CSR_DS_UNITDATA_CANCEL_INDICATION_ID:
        return 0x00090040;
    case CSR_DS_STA_NOTIFY_REQUEST_ID:
        return 0x00090080;
    case CSR_DEBUG_STRING_INDICATION_ID:
        return 0x00090100;
    case CSR_DEBUG_WORD16_INDICATION_ID:
        return 0x00090200;
    case CSR_DEBUG_GENERIC_REQUEST_ID:
        return 0x00090400;
    case CSR_DEBUG_GENERIC_CONFIRM_ID:
        return 0x00090800;
    case CSR_DEBUG_GENERIC_INDICATION_ID:
        return 0x00091000;
    default:
        break;
    }
    return 0xffffffff;
}

